/*
 * Copyright 2010 Workplace Systems PLC (http://www.workplacesystems.com/).
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.workplacesystems.queuj;

/**
 *
 * @author dave
 */
public final class Version {

    public final static String getVersion() {
        return "1.1.0";
    }

    public final static String getRevision() {
        return "32";
    }

    public final static String getURL() {
        return "https://queuj.svn.sourceforge.net/svnroot/queuj/queuJ/tags/1.1.0";
    }

    public final static String getBranch() {
        return getURL().substring(getURL().lastIndexOf("/") + 1);
    }

    public final static String getVersionDesc() {
        if (getBranch().equals("trunk") || getURL().indexOf("/branches/") >= 0)
            return getVersion() + "-dev";
        return getVersion();
    }

    public final static String getVersionMvn() {
        if (getBranch().equals("trunk") || getURL().indexOf("/branches/") >= 0)
            return getVersion() + "-SNAPSHOT";
        return getVersion();
    }

    public final static String getBranchDesc() {
        if (getURL().indexOf("/tags/") >= 0)
            return "Tag " + getBranch();
        return "Branch " + getBranch();
    }

    public final static String getVersionMini() {
        String ver = getVersion();
        if (getBranch().equals("trunk") || getURL().indexOf("/branches/") >= 0)
            ver += ".d";
        return ver + "." + getRevision();
    }
}
